

namespace BooNetSample

import System
import System.Collections.Generic
import Acid_Library
	

[module]
internal class MainClass:

	public static def Main(args as (string)):
		formula as string
		results as string
		MyParser = AcidParser('User', 'Serial')
		
		//Parse equation:
		Console.WriteLine('Enter equation to parse: ')
		formula = Console.ReadLine()
		results = MyParser.ParseAdvancedComplex(formula)
		Console.WriteLine(results)
		Console.WriteLine('')
		
		//Evaluate equation:
		Console.WriteLine('Enter expression to evaluate: ')
		formula = Console.ReadLine()
		bresult as bool = MyParser.EvaluateAdvancedComplex(formula)
		Console.WriteLine(bresult.ToString())
		Console.WriteLine('')
		
		//Create custom function wow(x;y):
		pfunction as (string) = (of string: 'x', 'y')
		efunction = '(x^2+y^2)^0.5'
		nfunction = 'wow'
		MyParser.AddCustomFunction(nfunction, pfunction, efunction)
		
		//Parse equation with custom-functions:
		Console.WriteLine('Enter equation to parse, with distance function wow(x;y):')
		results = MyParser.ParseCustomComplex(formula)
		Console.WriteLine(results)
		Console.ReadLine()

